## ros-lunar-gcloud-speech-utils 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gcloud_speech_utils)

if(CMAKE_VERSION VERSION_LESS "3.1")
  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "--std=gnu++11 ${CMAKE_CXX_FLAGS}")
  else()
    message(SEND_ERROR "Error: Can not enable C++ 11 for gRPC")
  endif()
else()
  set(CMAKE_CXX_STANDARD 11)
endif()

find_package(catkin
  REQUIRED COMPONENTS actionlib actionlib_msgs gcloud_speech_msgs roscpp rospy)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})
include_directories(src/workspace)

add_library(gcloud_speech_utils_record_audio_lib
  src/workspace/cogrob/cloud/speech/record_audio.cc
  src/workspace/util/status.cc
  src/workspace/util/statusor.cc
)
target_link_libraries(gcloud_speech_utils_record_audio_lib portaudio)

add_executable(print_rms
  src/workspace/cogrob/cloud/speech/print_rms.cc)
target_link_libraries(print_rms
  gcloud_speech_utils_record_audio_lib gflags glog)

add_executable(record_microphone_audio src/record_microphone_audio.cc)
target_link_libraries(record_microphone_audio ${catkin_LIBRARIES}
  gcloud_speech_utils_record_audio_lib gflags glog)

install(
  TARGETS gcloud_speech_utils_record_audio_lib print_rms record_microphone_audio
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(
  PROGRAMS scripts/example_client.py scripts/playback_microphone_audio.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-gcloud-speech-utils (0.0.5-1xenial) xenial; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Wed, 18 Apr 2018 07:00:00 -0000

ros-lunar-gcloud-speech-utils (0.0.4-1xenial) xenial; urgency=high

  * Fixes a problem that the binrary/libraries are not packed into deb file (#18 <https://github.com/CogRob/gcloud_speech/issues/18>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sat, 07 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-utils (0.0.3-1xenial) xenial; urgency=high

  * Adds catkin_INCLUDE_DIRS to include_directories (#16 <https://github.com/CogRob/gcloud_speech/issues/16>)
  * Removes documentation about the project name command line flag (#15 <https://github.com/CogRob/gcloud_speech/issues/15>)
    * Removes documentation about the project name command line flag
    * Removes extra comments in launch file
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-utils (0.0.2-1xenial) xenial; urgency=high



 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

ros-lunar-gcloud-speech-utils (0.0.1-1xenial) xenial; urgency=high

  * Fixes missing Copyright text in README (#12 <https://github.com/CogRob/gcloud_speech/issues/12>)
    * Fixes missing Copyright text in README
    * Use Logitech instead of Samson in example launch file
  * Kills the microphone node when it fails to publish samples (#10 <https://github.com/CogRob/gcloud_speech/issues/10>)
    * Kills the microphone node when it fails to publish samples
    * Makes the fatal timeout a flag
    * Add respawn to launch file to allow microphone plug in/plug out
  * Removes the clicking sound in playback microphone node (#9 <https://github.com/CogRob/gcloud_speech/issues/9>)
  * gcloud_speech_utils was missing python-pyaudio dependency (#8 <https://github.com/CogRob/gcloud_speech/issues/8>)
    * gcloud_speech_utils missing python-pyaudio dependency
    * Remove unused Queue import
  * Adds a playback node to gcloud_speech_utils (#7 <https://github.com/CogRob/gcloud_speech/issues/7>)
    * Adds a microphone playback node
    * Use a newer version of record_audio.cc, and adds a playback node to utils
  * Adds documents and examples, fixes bugs. (#6 <https://github.com/CogRob/gcloud_speech/issues/6>)
    * Move print_rms exclusively to utils package
    * Implements auto retrying if failed prematurely within 300ms (default)
    * Adds some information in README file
    * Documentation
    * Document update
    * URL better to be link
    * Adds a All-In-One launch file that demos the program
  * Adds channel connect and channel check to google_speech (#3 <https://github.com/CogRob/gcloud_speech/issues/3>)
  * Initial commit. (#1 <https://github.com/CogRob/gcloud_speech/issues/1>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-gcloud-speech-utils
Section: misc
Priority: extra
Maintainer: Shengye Wang <shengye@ucsd.edu>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libgoogle-glog-dev, portaudio19-dev, python-pyaudio, ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-catkin, ros-lunar-gcloud-speech-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-gcloud-speech-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libgoogle-glog-dev, portaudio19-dev, python-pyaudio, ros-lunar-actionlib, ros-lunar-actionlib-msgs, ros-lunar-gcloud-speech-msgs
Description: Utilities and examples for gcloud_speech package.
